# modules/microvga/conio.h File Reference

## Defines
#define | __COLORS
#define | BLINK 128
#define | MAX_X 80
#define | MAX_Y 25
#define | ACS_ULCORNER (0xDA)
#define | ACS_LLCORNER (0xC0)
#define | ACS_URCORNER (0xBF)
#define | ACS_LRCORNER (0xD9)
#define | ACS_HLINE (0xC4)
#define | ACS_VLINE (0xB3)
#define | ACS_LTEE (acs_map['t'])
#define | ACS_RTEE (acs_map['u'])
#define | ACS_BTEE (acs_map['v'])
#define | ACS_TTEE (acs_map['w'])
#define | ACS_PLUS (acs_map['n'])
#define | ACS_S1 (acs_map['o'])
#define | ACS_S9 (acs_map['s'])
#define | ACS_DIAMOND (acs_map['`'])
#define | ACS_CKBOARD (acs_map['a'])
#define | ACS_DEGREE (acs_map['f'])
#define | ACS_PLMINUS (acs_map['g'])
#define | ACS_BULLET (acs_map['~'])
#define | ACS_LARROW (acs_map[','])
#define | ACS_RARROW (acs_map['+'])
#define | ACS_DARROW (acs_map['.'])
#define | ACS_UARROW (acs_map['-'])
#define | ACS_BOARD (acs_map['h'])
#define | ACS_LANTERN (acs_map['i'])
#define | ACS_BLOCK (acs_map['0'])
#define | ROMDEF const
## Enumerations
enum | COLORS { BLACK = 0, RED, GREEN, BROWN, BLUE, MAGENTA, CYAN, LIGHTGRAY, DARKGRAY, LIGHTRED, LIGHTGREEN, YELLOW, LIGHTBLUE, LIGHTMAGENTA, LIGHTCYAN, WHITE }
## Functions
void | _putch (char ch)
int | _getch (void)
int | _kbhit (void)
void | _cputs (ROMDEF char *s)
char * | _cgets (char *s)
void | clrscr (void)
void | clreol (void)
void | gotoxy (char x, char y)
void | cursoron (void)
void | cursoroff (void)
void | textcolor (int color)
void | textbackground (int color)
void | textattr (int attr)

## Define Documentation

#define __COLORS

#define ACS_BLOCK (acs_map['0'])

#define ACS_BOARD (acs_map['h'])

#define ACS_BTEE (acs_map['v'])

#define ACS_BULLET (acs_map['~'])

#define ACS_CKBOARD (acs_map['a'])

#define ACS_DARROW (acs_map['.'])

#define ACS_DEGREE (acs_map['f'])

#define ACS_DIAMOND (acs_map['`'])

#define ACS_HLINE (0xC4)

#define ACS_LANTERN (acs_map['i'])

#define ACS_LARROW (acs_map[','])

#define ACS_LLCORNER (0xC0)

#define ACS_LRCORNER (0xD9)

#define ACS_LTEE (acs_map['t'])

#define ACS_PLMINUS (acs_map['g'])

#define ACS_PLUS (acs_map['n'])

#define ACS_RARROW (acs_map['+'])

#define ACS_RTEE (acs_map['u'])

#define ACS_S1 (acs_map['o'])

#define ACS_S9 (acs_map['s'])

#define ACS_TTEE (acs_map['w'])

#define ACS_UARROW (acs_map['-'])

#define ACS_ULCORNER (0xDA)

#define ACS_URCORNER (0xBF)

#define ACS_VLINE (0xB3)

#define BLINK 128

#define MAX_X 80

#define MAX_Y 25

#define ROMDEF const

## Enumeration Type Documentation

enum COLORS

Enumerator:

  BLACK |
  RED |
  GREEN |
  BROWN |
  BLUE |
  MAGENTA |
  CYAN |
  LIGHTGRAY |
  DARKGRAY |
  LIGHTRED |
  LIGHTGREEN |
  YELLOW |
  LIGHTBLUE |
  LIGHTMAGENTA |
  LIGHTCYAN |
  WHITE |

## Function Documentation

char* _cgets | ( | char * | s | ) |

Here is the call graph for this function:

void _cputs | ( | ROMDEF char * | s | ) |

Here is the call graph for this function:

int _getch | ( | void |  | ) |

Here is the call graph for this function:

int _kbhit | ( | void |  | ) |

Here is the call graph for this function:

void _putch | ( | char | ch | ) |

Here is the call graph for this function:

void clreol | ( | void |  | ) |

Here is the call graph for this function:

void clrscr | ( | void |  | ) |

Here is the call graph for this function:

void cursoroff | ( | void |  | ) |

Here is the call graph for this function:

void cursoron | ( | void |  | ) |

Here is the call graph for this function:

void gotoxy | ( | char | x,
|  | char | y |
| ) |  |  |

Here is the call graph for this function:

void textattr | ( | int | attr | ) |

Here is the call graph for this function:

void textbackground | ( | int | color | ) |

Here is the call graph for this function:

void textcolor | ( | int | color | ) |

Here is the call graph for this function: